Loading...
Searching...
No Matches
file_sink.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2004,2007,2013 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_GR_FILE_SINK_H
#define INCLUDED_GR_FILE_SINK_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/blocks/file_sink_base.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace blocks {
/*!
* \brief Write stream to file.
* \ingroup file_operators_blk
*/
class BLOCKS_API file_sink : virtual public sync_block, virtual public file_sink_base
{
public:
// gr::blocks::file_sink::sptr
typedef std::shared_ptr<file_sink> sptr;
/*!
* \brief Make a file sink.
* \param itemsize size of the input data items.
* \param filename name of the file to open and write output to.
* \param append if true, data is appended to the file instead of
* overwriting the initial content.
*/
static sptr make(size_t itemsize, const char* filename, bool append = false);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_GR_FILE_SINK_H */
gr::blocks::file_sink_base::file_sink_base
file_sink_base(const char *filename, bool is_binary, bool append)
gr::blocks::file_sink
Write stream to file.
Definition file_sink.h:26
gr::blocks::file_sink::make
static sptr make(size_t itemsize, const char *filename, bool append=false)
Make a file sink.
gr::blocks::file_sink::sptr
std::shared_ptr< file_sink > sptr
Definition file_sink.h:29
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
file_sink_base.h
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h